# Generated by Django 3.1.2 on 2021-01-03 22:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('dac', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Codex',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Conversations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='DA2_TLK',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('str_id', models.IntegerField()),
                ('text', models.CharField(max_length=3000)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DAI_TLK',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('str_id', models.IntegerField()),
                ('text', models.TextField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DAO_TLK',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('str_id', models.IntegerField()),
                ('text', models.CharField(max_length=3000)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Search',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('search_key', models.CharField(max_length=100)),
                ('game_key', models.CharField(max_length=30)),
                ('resource_key', models.CharField(max_length=10)),
                ('date_searched', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='SearchTlk',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('search_key', models.CharField(max_length=100)),
                ('game_key', models.CharField(max_length=30)),
                ('date_searched', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='DA2_Codex',
            fields=[
                ('codex_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.codex')),
            ],
            bases=('dac.codex',),
        ),
        migrations.CreateModel(
            name='DA2_Conv',
            fields=[
                ('conversations_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.conversations')),
            ],
            bases=('dac.conversations',),
        ),
        migrations.CreateModel(
            name='DAI_Codex',
            fields=[
                ('codex_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.codex')),
            ],
            bases=('dac.codex',),
        ),
        migrations.CreateModel(
            name='DAI_Conv',
            fields=[
                ('conversations_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.conversations')),
            ],
            bases=('dac.conversations',),
        ),
        migrations.CreateModel(
            name='DAO_Codex',
            fields=[
                ('codex_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.codex')),
            ],
            bases=('dac.codex',),
        ),
        migrations.CreateModel(
            name='DAO_Conv',
            fields=[
                ('conversations_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dac.conversations')),
            ],
            bases=('dac.conversations',),
        ),
    ]
